### Method

# Gio IOModule unload

#### Declaration

    void
    g_io_module_unload (
      GIOModule* module
    )

#### Description

Required API for GIO modules to implement.

This function is run when the module is being unloaded from GIO, to finalize the module.

Since 2.56, this function should be named `g_io_<modulename>_unload`, where `modulename` is the plugin’s filename with the `lib` or `libgio` prefix and everything after the first dot removed, and with `-` replaced with `_` throughout. For example, `libgiognutls-helper.so` becomes `gnutls_helper`. Using the new symbol names avoids name clashes when building modules statically. The old symbol names continue to be supported, but cannot be used for static builds.

This method is not directly available to language bindings.